LoadListener (JavaFX 13)

Module javafx.fxml
Package javafx.fxml

## Interface LoadListener

-     public interface LoadListener

  Load listener interface.
  Since:
    9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginCopyElement()` | Called when the loader has begun reading a copy element.
    `void` | `beginDefineElement()` | Called when the loader has begun reading a define element.
    `void` | `beginIncludeElement()` | Called when the loader has begun reading an include element.
    `void` | `beginInstanceDeclarationElement​(Class<?> type)` | Called when the loader has begun reading an instance declaration element.
    `void` | `beginPropertyElement​(String name, Class<?> sourceType)` | Called when the loader has begun reading a property element.
    `void` | `beginReferenceElement()` | Called when the loader has begun reading a reference element.
    `void` | `beginRootElement()` | Called when the loader has begun reading a root element.
    `void` | `beginScriptElement()` | Called when the loader has begun reading a script element.
    `void` | `beginUnknownStaticPropertyElement​(String name)` | Called when the loader has begun reading a static property element defined by an unknown type.
    `void` | `beginUnknownTypeElement​(String name)` | Called when the loader has begun reading an instance declaration element for an unknown type.
    `void` | `endElement​(Object value)` | Called when the loader has finished reading an element.
    `void` | `readComment​(String comment)` | Called when the loader has read a comment.
    `void` | `readEventHandlerAttribute​(String name, String value)` | Called when the loader has read an event handler attribute.
    `void` | `readImportProcessingInstruction​(String target)` | Called when the loader has read an import processing instruction.
    `void` | `readInternalAttribute​(String name, String value)` | Called when the loader has read an internal attribute.
    `void` | `readLanguageProcessingInstruction​(String language)` | Called when the loader has read a language processing instruction.
    `void` | `readPropertyAttribute​(String name, Class<?> sourceType, String value)` | Called when the loader has read a property attribute.
    `void` | `readUnknownStaticPropertyAttribute​(String name, String value)` | Called when the loader has read an unknown static property attribute.

- - ### Method Detail

    - #### readImportProcessingInstruction

          void readImportProcessingInstruction​(String target)

      Called when the loader has read an import processing instruction.
      Parameters:
        `target` - the target of the import

    - #### readLanguageProcessingInstruction

          void readLanguageProcessingInstruction​(String language)

      Called when the loader has read a language processing instruction.
      Parameters:
        `language` - the language instruction

    - #### readComment

          void readComment​(String comment)

      Called when the loader has read a comment.
      Parameters:
        `comment` - the comment

    - #### beginInstanceDeclarationElement

          void beginInstanceDeclarationElement​(Class<?> type)

      Called when the loader has begun reading an instance declaration element.
      Parameters:
        `type` - the type of the element

    - #### beginUnknownTypeElement

          void beginUnknownTypeElement​(String name)

      Called when the loader has begun reading an instance declaration element for an unknown type.
      Parameters:
        `name` - the name of the unknown type

    - #### beginIncludeElement

          void beginIncludeElement()

      Called when the loader has begun reading an include element.

    - #### beginReferenceElement

          void beginReferenceElement()

      Called when the loader has begun reading a reference element.

    - #### beginCopyElement

          void beginCopyElement()

      Called when the loader has begun reading a copy element.

    - #### beginRootElement

          void beginRootElement()

      Called when the loader has begun reading a root element.

    - #### beginPropertyElement

          void beginPropertyElement​(String name,
                                    Class<?> sourceType)

      Called when the loader has begun reading a property element.
      Parameters:
        `name` - the name of the property
        `sourceType` - the type of the property

    - #### beginUnknownStaticPropertyElement

          void beginUnknownStaticPropertyElement​(String name)

      Called when the loader has begun reading a static property element defined by an unknown type.
      Parameters:
        `name` - the name of the unknown type

    - #### beginScriptElement

          void beginScriptElement()

      Called when the loader has begun reading a script element.

    - #### beginDefineElement

          void beginDefineElement()

      Called when the loader has begun reading a define element.

    - #### readInternalAttribute

          void readInternalAttribute​(String name,
                                     String value)

      Called when the loader has read an internal attribute.
      Parameters:
        `name` - the name of the attribute
        `value` - the value of the attribute

    - #### readPropertyAttribute

          void readPropertyAttribute​(String name,
                                     Class<?> sourceType,
                                     String value)

      Called when the loader has read a property attribute.
      Parameters:
        `name` - the name of the attribute
        `sourceType` - the type of the attribute
        `value` - the value of the attribute

    - #### readUnknownStaticPropertyAttribute

          void readUnknownStaticPropertyAttribute​(String name,
                                                  String value)

      Called when the loader has read an unknown static property attribute.
      Parameters:
        `name` - the name of the attribute
        `value` - the value of the attribute

    - #### readEventHandlerAttribute

          void readEventHandlerAttribute​(String name,
                                         String value)

      Called when the loader has read an event handler attribute.
      Parameters:
        `name` - the name of the attribute
        `value` - the value of the attribute

    - #### endElement

          void endElement​(Object value)

      Called when the loader has finished reading an element.
      Parameters:
        `value` - the value of the element